
QGIS Application - Bug report #18351

Crash on loading same group of shapefile for the second time after create a new project

2018-03-06 09:52 AM - Dario Bevilacqua

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 26241

Description

Steps to reproduce the error:

    -  load 2 or more shapefile (drag and drop)

    -  create ne project

    -  load the same shapefile

Report:

h2. User Feedback

h2. Report Details

*Crash ID*: 33596b5a6aa53dda85336709d11c73898c37cc9f

*Stack Trace*

<pre>

QgsRenderContext::convertToPainterUnits :

QgsShadowEffect::boundingRect :

QgsStatisticalSummaryDockWidget::layerChanged :

QMetaObject::activate :

QgsMapLayerComboBox::layerChanged :

QMetaObject::activate :

QAbstractItemModel::endInsertRows :

QSortFilterProxyModel::insertRows :

QSortFilterProxyModel::sortRole :

QSortFilterProxyModel::`default constructor closure' :

QMetaObject::activate :

QAbstractItemModel::endInsertRows :

QgsMapLayerModel::addLayers :

QMetaObject::activate :

QgsProject::layersAdded :

QMetaObject::activate :

QgsMapLayerStore::layersAdded :

QgsMapLayerStore::addMapLayers :

QgsProject::addMapLayers :

QgisApp::addVectorLayers :

QgisApp::openLayer :

QgisApp::openFile :

CPLStringList::operator[] :

QgisApp::identify :

QMetaObject::activate :
QTimer::timerEvent :

QObject::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QEventDispatcherWin32Private::sendTimerEvent :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

</pre>

*QGIS Info*

QGIS Version: 3.0.0-Girona

QGIS code revision: commit:001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

*System Info*

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.14393

History

#1 - 2018-03-06 12:30 PM - Giovanni Manghi

- Category changed from Actions to Vectors

- Status changed from Open to Feedback

Just tested on Windows 10/QGIS3, can't confirm.

#2 - 2018-03-07 10:28 AM - Dario Bevilacqua

I can't upload the shapefile that caused the issue because it contains sensitive data. I'll try to replicate it with different data. I report the type and numbers

of shape, it may help for replicate the error:

System Windows 10 - QGIS 3.0.0

3 line shapefile
2 point shapefile

1 polygon shapefile

Loaded in the TOC simultaneously with drag and drop, click on new project and discard, reloaded the same shapefile with drag and drop. I've tried with

much different file and the crash occurs only with some of it.

#3 - 2018-03-07 10:56 PM - Giovanni Manghi

Dario Bevilacqua wrote:

I can't upload the shapefile that caused the issue because it contains sensitive data. I'll try to replicate it with different data. I report the type and

numbers of shape, it may help for replicate the error:

System Windows 10 - QGIS 3.0.0

3 line shapefile

2 point shapefile

1 polygon shapefile

Loaded in the TOC simultaneously with drag and drop, click on new project and discard, reloaded the same shapefile with drag and drop. I've tried

with much different file and the crash occurs only with some of it.

will wait for a dataset that would allow us replicate. Thanks!

#4 - 2018-03-12 11:57 AM - Dario Bevilacqua

- File bug.zip added

I've attached a zip file with some incriminated files (it must be loaded as mentioned above to replicate the error).

#5 - 2019-02-23 08:36 PM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.

Files

bug.zip 64.1 KB 2018-03-12 Dario Bevilacqua
